Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.quartz.impl.matchers
Enum StringMatcher.StringOperatorName

    java.lang.Object
      java.lang.Enum<StringMatcher.StringOperatorName>
          org.quartz.impl.matchers.StringMatcher.StringOperatorName

All Implemented Interfaces:
  Serializable, Comparable<StringMatcher.StringOperatorName>

Enclosing class:
  StringMatcher<T extends Key<?>>

    public static enum StringMatcher.StringOperatorName

extends Enum<StringMatcher.StringOperatorName>

Enum Constant Summary
`ANYTHING`
`CONTAINS`
`ENDS_WITH`
`EQUALS`
`STARTS_WITH`

Method Summary
`abstract boolean` | `evaluate(String value, String compareTo)`
`static StringMatcher.StringOperatorName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StringMatcher.StringOperatorName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUALS

    public static final StringMatcher.StringOperatorName EQUALS

### STARTS_WITH

    public static final StringMatcher.StringOperatorName STARTS_WITH

### ENDS_WITH

    public static final StringMatcher.StringOperatorName ENDS_WITH

### CONTAINS

    public static final StringMatcher.StringOperatorName CONTAINS

### ANYTHING

    public static final StringMatcher.StringOperatorName ANYTHING

Method Detail

### values

    public static StringMatcher.StringOperatorName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StringMatcher.StringOperatorName c : StringMatcher.StringOperatorName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StringMatcher.StringOperatorName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### evaluate

    public abstract boolean evaluate(String value,
                                     String compareTo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2001-2013, Terracotta, Inc.